# Dockerfile for orders-backend

# Utiliser une image Node.js
FROM node:14

# Créer et définir le répertoire de travail
WORKDIR /app

# Copier les fichiers du backend des commandes dans le conteneur
COPY package*.json ./
RUN npm install cors && npm install
COPY . .

# Exposer le port sur lequel le backend des commandes s'exécute
EXPOSE 3001

# Commande pour démarrer le backend des commandes
CMD ["npm", "start"]

# docker build -t orders-backend .
# docker run -p 3001:3001 orders-backend